Subject: [mpowr] Re: [Solutions] Further work on WG (chair) roles - MPOWR WG proposal (fwd)

From: Keith Moore <[email-masked]>
Date: Sun, 14 Dec 2003 10:49:25 -0500

I don't believe this is an appropriate way to proceed.

Forming a new WG, or even an informal discussion group, that presumes 
the desirability  of a particular outcome isn't going to foster 
community-wide consensus about whether or not that outcome is 
desirable.  Instead, it's going to increase division within the 
community, because the new group will disproportionately attract 
participants who think that that outcome is desirable.  It may also 
attract a few participants who disagree with that premise and are 
interested in doing "damage control" but those people will have to work 
very hard to argue their views to a skeptical group that is not 
representative of IETF as a whole.  That and once any WG has worked for 
a while on a dubious idea, a lot of pressure is created for IESG to 
endorse that dubious idea on IETF's behalf.

More broadly, I'm concerned that with the creation of several 
narrowly-focused working groups we are fragmenting the discussion of 
how to improve IETF in a nonproductive way.  For instance, it may well 
be that IETF would produce better output in a more timely fashion if 
WGs and/or WG chairs had more responsibility and more authority - but 
the specifics of _what_ kind of authority and _how much_ authority will 
improve IETF's output won't naturally emerge from a group that asks the 
question of _whether_ WGs should have more authority, and especially 
not from a group that has shifting more authority to WGs as an explicit 
goal.

It's natural that IESG should view this problem in a top-down fashion - 
their immediate concern is "how do we shed load", which translates 
almost directly to "how do we give WGs more responsibility".  But to 
make this work the problem needs to be studied bottom-up.

i.e., we need to be studying:
- first, how to do better engineering of protocols (more timely, more 
widespread confidence in the soundness of the output);
- second, what changes to WG operation would support better protocol 
engineering; and
- third, what shifts in responsibility/authority between WGs and upper 
management would best facilitate these changes in WG operation

Keith

On Dec 9, 2003, at 11:49 AM, Harald Tveit Alvestrand wrote:

> This is of interest to the Solutions list.
>
> ---------- Forwarded Message ----------
> Date: 9. desember 2003 10:10 -0500
> From: The IESG <[email-masked]>
> To: IETF-Announce
> Subject: Further work on WG (chair) roles - MPOWR WG proposal
>
> Hi All,
>
> At IETF 58, the IESG presented a proposal to build a more effective
> IETF management structure by moving more authority and responsibility
> from the IESG to our ~220 IETF WG chairs. This message summarizes
> some of the feedback we received and proposes that the community
> consider the formation of a specific WG to pursue this topic. The
> process of WG formation would use the following steps:
>
>     - creation of a mailing list to discuss the scope & purpose of the
>         proposed WG
>
>     - discussion/development of a charter on the list
>
>     - approval of WG charter by IESG (if appropriate)
>
> Subscription information for the mailing list is provided below.
>
> BACKGROUND
> ==========
>
> The slides for our original proposal, as presented at the IETF 58
> plenary, can be found at:
>
> http://www.alvestrand.no/ietf/nov2003-minneapolis/iesg-wgchairs.pdf
>
> The minutes from the two IETF 58 plenary sessions, including
> discussion of this proposal can be found at:
>
> http://www.alvestrand.no/ietf/nov2003-minneapolis/plenary-notes.txt
>
> FEEDBACK
> ========
>
> We received substantial feedback regarding the proposal, both during
> the plenaries and elsewhere. Thank you, and keep it coming! While we
> heard enough community interest that a further exploration seems
> warranted, a number of valid concerns were also raised. For example:
>
>       - The community should not increase the authority and
>           responsibility of WG chairs without correspondingly 
> increasing
>           their accountability to the IETF community. For example, we 
> need
>           to be careful that we do not create situations where WG 
> chairs
>           can unfairly overrule WG consensus.
>
>       - Our original timeline was unrealistic and did not offer enough
>           opportunity for community involvement and feedback. The
>           community would prefer to discuss and develop potential 
> changes
>           to our BCPs through an open process, such as an IETF WG.
>
>       - For any proposal of change, thought must be given to a long
>           enough transition period and some experimental deployment
>           that will help the community determine the impact before
>           IETF-wide implementation.
>
>       - The community needs to consider the motivations of WG chairs,
>           document editors and active WG participants, to ensure that 
> any
>           changes will not substantially decrease the number of people
>           willing to serve in these roles.
>
> We will be modifying our original proposal in response to this
> feedback, and submitting it as an Internet-Draft.
>
> Proposed MPOWR Working Group
> ============================
>
> WG Name: MPOWR (Management Positions - Oversight, Work and Results)
>
> Mailing list: [email-masked]
> To Subscribe: https://www1.ietf.org/mailman/listinfo/mpowr
> Archives: https://www1.ietf.org/mailman/listinfo/mpowr
>
> Expected WG home: General Area
>
> The broad goal of this WG would be to shift more responsibility and
> authority to WGs, while ensuring appropriate accountability to the
> IETF as a whole. The WG would consider how to move more authority and
> responsibility to WGs from the IESG, reviewing both the benefits and
> the impacts, and ensuring appropriate accountability to the community.
> The expected charter would likely include considering updates to RFCs
> 2418 and possibly RFC 2026 to support these changes. Depending upon
> how charter discussions go, the group could hold a BOF or a first WG
> meeting at IETF 59 in Korea.
>
> We will send a strawman charter for this WG to the [email-masked]
> mailing list. Community discussion and feedback can take place there.
> If and when the community reaches consensus on a charter for a WG, the
> charter will be submitted for approval through the usual IETF WG
> creation process.
>
> The IESG will revise its proposal, and submit it as an Internet-Draft
> for discussion and consideration by the proposed WG.
>
> Additional proposals for changes in this area are welcome and should
> be published as Internet-Drafts and announced on [email-masked].
>
> If you are interested in participating in this effort, please
> subscribe to the [email-masked] mailing list, as described above.
>
> If you have suggestions regarding who should (co-)chair this proposed
> WG, if and when it is chartered, please send them to Harald Alvestrand
> <[email-masked]>.
>
>
>
>
>
> ---------- End Forwarded Message ----------
>
>
>
>
> _______________________________________________
> Solutions mailing list
> [email-masked]
> http://eikenes.alvestrand.no/mailman/listinfo/solutions

_______________________________________________
mpowr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpowr